Package com.io7m.idstore.server.service.tls

# Class IdTLSContextService

java.lang.Object
com.io7m.idstore.server.service.tls.IdTLSContextService

All Implemented Interfaces:
  `IdTLSContextServiceType`, `com.io7m.repetoir.core.RPServiceType`

public final class IdTLSContextService extends Object implements IdTLSContextServiceType
The TLS context service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdTLSContext`
  `create(String user, IdTLSStoreConfiguration keyStoreConfiguration, IdTLSStoreConfiguration trustStoreConfiguration)`
  Create a TLS context.
  `static IdTLSContextServiceType`
  `createService(com.io7m.repetoir.core.RPServiceDirectoryType services)`
  `String`
  `description()`
  `void`
  `reload()`
  Reload all TLS contexts.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### createService

    public static IdTLSContextServiceType createService(com.io7m.repetoir.core.RPServiceDirectoryType services)
    Parameters:
      `services` - The service directory
    Returns:
      A new TLS context service

  - ### create

    public IdTLSContext create(String user, IdTLSStoreConfiguration keyStoreConfiguration, IdTLSStoreConfiguration trustStoreConfiguration) throws IdException
    Description copied from interface: `IdTLSContextServiceType`
    Create a TLS context.
    Specified by:
      `create` in interface `IdTLSContextServiceType`
    Parameters:
      `user` - The user of this context (such as "HealthService", "AdminService", etc)
      `keyStoreConfiguration` - The keystore configuration
      `trustStoreConfiguration` - The truststore configuration
    Returns:
      A TLS context
    Throws:
      `IdException` - On errors

  - ### reload

    public void reload()
    Description copied from interface: `IdTLSContextServiceType`
    Reload all TLS contexts. Primarily used to reload short-lived certificates issued using the ACME protocol.
    Specified by:
      `reload` in interface `IdTLSContextServiceType`

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`